Skip to Content
inclamoDocs

Add a new portal

POST
/api/v1/accounts/{account_id}/portals

Add a new portal to account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Request Body

application/json
  1. body
color?string

Header color for help-center in hex format

custom_domain?string

Custom domain to display help center.

header_text?string

Help center header

homepage_link?string

link to main dashboard

name?string

Name for the portal

page_title?string

Page title for the portal

slug?string

Slug for the portal to display in link

archived?boolean

Status to check if portal is live

config?

Configuration about supporting locales

Response Body

Success

application/json
  1. response
payload?array<>
Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/portals' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "payload": [    {      "id": 0,      "archived": true,      "color": "string",      "config": {        "allowed_locales": [          {            "code": "string",            "articles_count": 0,            "categories_count": 0          }        ]      },      "custom_domain": "string",      "header_text": "string",      "homepage_link": "string",      "name": "string",      "slug": "string",      "page_title": "string",      "account_id": 0,      "inbox": {        "id": 0,        "name": "string",        "website_url": "string",        "page_id": "string",        "instagram_id": "string",        "business_id": "string",        "provider_name": "string",        "profile_id": "string",        "line_channel_id": "string",        "email": "string",        "bot_name": "string",        "inbox_identifier": "string",        "channel_type": "string",        "avatar_url": "string",        "widget_color": "string",        "website_token": "string",        "enable_auto_assignment": true,        "web_widget_script": "string",        "welcome_title": "string",        "welcome_tagline": "string",        "greeting_enabled": true,        "greeting_message": "string",        "channel_id": 0,        "working_hours_enabled": true,        "enable_email_collect": true,        "csat_survey_enabled": true,        "auto_assignment_config": {},        "out_of_office_message": "string",        "working_hours": [          {            "day_of_week": 0,            "closed_all_day": true,            "open_hour": 0,            "open_minutes": 0,            "close_hour": 0,            "close_minutes": 0,            "open_all_day": true          }        ],        "timezone": "string",        "callback_webhook_url": "string",        "allow_messages_after_resolved": true,        "lock_to_single_conversation": true,        "sender_name_type": "string",        "business_name": "string",        "branded_email_layout": "string",        "hmac_mandatory": true,        "selected_feature_flags": [          "string"        ],        "reply_time": "string",        "messaging_service_sid": "string",        "phone_number": "string",        "medium": "string",        "provider": "string"      },      "logo": {        "id": 0,        "portal_id": 0,        "file_type": "string",        "account_id": 0,        "file_url": "string",        "blob_id": 0,        "filename": "string"      },      "meta": {        "all_articles_count": 0,        "archived_articles_count": 0,        "published_count": 0,        "draft_articles_count": 0,        "categories_count": 0,        "default_locale": "string"      }    }  ]}